Bug 699833 - Add FreeIPA docs to Fedora docs site
Summary: Add FreeIPA docs to Fedora docs site
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests
Version: devel
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Documentation Project
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-26 17:44 UTC by Deon Ballard
Modified: 2011-10-19 20:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-19 20:43:08 UTC


Attachments (Terms of Use)

Description Deon Ballard 2011-04-26 17:44:58 UTC
The FreeIPA (freeipa.org) documentation is currently hosted on a personal fedorapeople site. For continuity and more community involvement, we would like to move the FreeIPA docs to the Fedora documentation site:
https://docs.fedoraproject.org/en-US/index.html

The docs are currently here:
http://obriend.fedorapeople.org/freeIPA2.0/Identity_and_Policy_Management_Guide/html-single/

This project is currently included in F14 and F15.

Comment 1 eric 2011-04-26 21:28:41 UTC
This guide runs the line between "something that can be done with Fedora" and "how to use Fedora" (where the latter would be a good addition to docs.fp.o).

Anyone else have an opinion?

Comment 2 David Nalley 2011-04-27 04:33:24 UTC
A couple of things strike me. We've had the SELinux guide, the virtualization guide, amateur radio guide, etc - all of which could be on either side of 'something that can be done with Fedora' and 'how to use Fedora'. 

We've always been pretty accepting of documents, and I don't see any reason to not be with this one. I'd want to see the canonical DocBook source repo moved to the docs/ tree on fedorahhosted.org. 

All of that said, the current state of the document also (IMO) has unacceptable content for publication on docs.fedoraproject.org - it advocates installation from fedorapeople.org space, (in reviewing Eric's test in that regard it stops being how to use Fedora (Fedora being defined as the packages available in Fedora) and moves to something that can be done with Fedora.) The document should only talk about what can be done with Fedora, not what can be done with packages external to Fedora. (adhering to this standard keeps us from running afoul of trademark usage guidelines IMO as well).  In other words make sure this is Fedora documentation about using FreeIPA, not FreeIPA documentation using Fedora as the base OS. Note that I am not advocating stripping the sections on Solaris and other operating systems, but think the focus should remain on Fedora as the 'server' and non-Fedora OSes as clients. Also this document also doesn't appear to be using the full Fedora publican brand - as the feedback section contains comments about filing bugs against RHEL, etc.

Comment 3 Deon Ballard 2011-05-04 14:09:27 UTC
Hey, I wanted to let you know that I am working on a revision of the Fedora docs, based on your feedback. I really appreciate the help; I'll post a link here when it's ready.

Comment 4 Zach Oglesby 2011-05-04 14:29:32 UTC
(In reply to comment #2)
> A couple of things strike me. We've had the SELinux guide, the virtualization
> guide, amateur radio guide, etc - all of which could be on either side of
> 'something that can be done with Fedora' and 'how to use Fedora'. 
> 
> We've always been pretty accepting of documents, and I don't see any reason to
> not be with this one. I'd want to see the canonical DocBook source repo moved
> to the docs/ tree on fedorahhosted.org. 
> 
> All of that said, the current state of the document also (IMO) has unacceptable
> content for publication on docs.fedoraproject.org - it advocates installation
> from fedorapeople.org space, (in reviewing Eric's test in that regard it stops
> being how to use Fedora (Fedora being defined as the packages available in
> Fedora) and moves to something that can be done with Fedora.) The document
> should only talk about what can be done with Fedora, not what can be done with
> packages external to Fedora. (adhering to this standard keeps us from running
> afoul of trademark usage guidelines IMO as well).  In other words make sure
> this is Fedora documentation about using FreeIPA, not FreeIPA documentation
> using Fedora as the base OS. Note that I am not advocating stripping the
> sections on Solaris and other operating systems, but think the focus should
> remain on Fedora as the 'server' and non-Fedora OSes as clients. Also this
> document also doesn't appear to be using the full Fedora publican brand - as
> the feedback section contains comments about filing bugs against RHEL, etc.

I think this could not be said better, we have lots of guides that help people do things with Fedora, but they rely strictly on Fedora. As long as the guide keeps within the realm of the "Official Fedora" world, and its helpful to a group of people (like the Amateur Radio Guide) then I would love to include it.

Comment 5 Deon Ballard 2011-05-12 14:11:43 UTC
Again, thanks for your feedback. I have been working on reorganizing the docs lately, so I haven't properly scrubbed and Fedora-ized everything yet. My work in progress is here:

http://elladeon.fedorapeople.org/ipa/guide/

My hope is to have a draft ready next week.

Comment 6 Deon Ballard 2011-05-13 22:12:37 UTC
Just to inform you of my progress....

1. I rewrote the preface and changed the information from the RHEL product to the Fedora product.
http://elladeon.fedorapeople.org/ipa/guide/feedback.html

2. I have not made a lot of progress in the install chapter yet. However, the FreeIPA packages are available in the Fedora 15 repo and can be installed simply by running yum  -- you don't even need EPEL. So, I'll try to make it clear in the install that the server packages are only available for Fedora and through Fedora.
http://elladeon.fedorapeople.org/ipa/guide/installing-ipa.html

3. Likewise, I have tried to clarify that there are no packages or daemons or agents that are used to be a FreeIPA client. It's a matter of configuration to belong to the right Kerberos and DNS domains, etc. So even systems with other OSes can belong to the Fedora-hosted IPA domain.
http://elladeon.fedorapeople.org/ipa/guide/setting-up-clients.html

4. This should be using the latest Fedora publican brand. 

5. There were some references in the doc to RHEL or to Red Hat products, like RH Certificate System. I think I've got most or all of those tracked down and corrected, but I'll review it again next week.

Comment 7 Deon Ballard 2011-05-19 17:04:47 UTC
The guide at http://elladeon.fedorapeople.org/ipa/guide/index.html is still very much a draft, but is it closer to a form that can be accepted into the Fedora docs project?

Comment 8 Deon Ballard 2011-10-19 20:43:08 UTC
The FreeIPA docs on are docs.fp.o. Thanks!


Note You need to log in before you can comment on or make changes to this bug.